Ogre::D3D11DriverList Class Reference

`#include <OgreD3D11DriverList.h>`

List of all members.

## Public Member Functions

| D3D11DriverList (IDXGIFactory1 *pDXGIFactory)
| ~D3D11DriverList ()
BOOL | enumerate (IDXGIFactory1 *pDXGIFactory)
size_t | count () const
D3D11Driver * | item (size_t index)
D3D11Driver * | item (const String &name)

## Private Attributes

vector< D3D11Driver * >::type | mDriverList

## Detailed Description

Definition at line 37 of file OgreD3D11DriverList.h.

## Constructor & Destructor Documentation

Ogre::D3D11DriverList::D3D11DriverList | ( | IDXGIFactory1 * | pDXGIFactory | ) |

Ogre::D3D11DriverList::~D3D11DriverList | ( |  | ) |

## Member Function Documentation

size_t Ogre::D3D11DriverList::count | ( |  | ) | const

BOOL Ogre::D3D11DriverList::enumerate | ( | IDXGIFactory1 * | pDXGIFactory | ) |

D3D11Driver* Ogre::D3D11DriverList::item | ( | size_t | index | ) |

D3D11Driver* Ogre::D3D11DriverList::item | ( | const String & | name | ) |

## Member Data Documentation

vector<D3D11Driver*>::type Ogre::D3D11DriverList::mDriverList`[private]`

Definition at line 40 of file OgreD3D11DriverList.h.

The documentation for this class was generated from the following file:

- OgreD3D11DriverList.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:45